Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib.jsp
Class JspInvokeGrailsTagLibTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag

All Implemented Interfaces:
  Serializable, BodyTag, DynamicAttributes, IterationTag, JspTag, Tag

Direct Known Subclasses:
  JspActionSubmitTag, JspCheckboxTag, JspCurrencySelectTag, JspDatePickerTag, JspEachErrorTag, JspFormRemoteTag, JspFormTag, JspHasErrorsTag, JspLinkTag, JspLocaleSelectTag, JspMessageTag, JspRemoteFunctionTag, JspRemoteLinkTag, JspRenderErrorsTag, JspRenderTag, JspSelectTag, JspSubmitToRemoteTag, JspTimeZoneSelectTag

    public class JspInvokeGrailsTagLibTag

extends BodyTagSupport
implements DynamicAttributes

A tag that invokes a tag defined in a the Grails dynamic tag library. Authors of Grails tags who want their tags to work in JSP should sub-class this class and call "setTagName" to set the tagName of the tag within the Grails taglib This tag can of course be used standalone to invoke a Grails tag from JSP: ``

Since:
  16-Jan-2006
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary
`protected Map<String,Object>` | `attributes`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`JspInvokeGrailsTagLibTag()`

Method Summary
`int` | `doAfterBody()`
`int` | `doEndTag()`
`int` | `doStartTag()`
`protected int` | `doStartTagInternal()`
`String` | `getTagName()`
`void` | `setDynamicAttribute(String uri, String localName, Object value)`
`void` | `setTagName(String tagName)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### attributes

    protected Map<String,Object> attributes

Constructor Detail

### JspInvokeGrailsTagLibTag

    public JspInvokeGrailsTagLibTag()

Method Detail

### doStartTag

    public final int doStartTag()
                         throws JspException

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Throws:
    `JspException`

### doStartTagInternal

    protected int doStartTagInternal()

### doAfterBody

    public int doAfterBody()
                    throws JspException

  Specified by:
    `doAfterBody` in interface `IterationTag`
  Overrides:
    `doAfterBody` in class `BodyTagSupport`
  Throws:
    `JspException`

### doEndTag

    public int doEndTag()
                 throws JspException

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Throws:
    `JspException`

### getTagName

    public String getTagName()

### setTagName

    public void setTagName(String tagName)

### setDynamicAttribute

    public final void setDynamicAttribute(String uri,
                                          String localName,
                                          Object value)
                                   throws JspException

  Specified by:
    `setDynamicAttribute` in interface `DynamicAttributes`
  Throws:
    `JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD